Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\Limitation\ContentTypeLimitationType Member List

This is the complete list of members for eZ\Publish\Core\Limitation\ContentTypeLimitationType, including all inherited members.

$persistence | eZ\Publish\Core\Limitation\AbstractPersistenceLimitationType | protected
__construct(SPIPersistenceHandler $persistence) | eZ\Publish\Core\Limitation\AbstractPersistenceLimitationType |
acceptValue(APILimitationValue $limitationValue) | eZ\Publish\Core\Limitation\ContentTypeLimitationType |
ACCESS_ABSTAIN | eZ\Publish\SPI\Limitation\Type |
ACCESS_DENIED | eZ\Publish\SPI\Limitation\Type |
ACCESS_GRANTED | eZ\Publish\SPI\Limitation\Type |
buildValue(array $limitationValues) | eZ\Publish\Core\Limitation\ContentTypeLimitationType |
evaluate(APILimitationValue $value, APIUserReference $currentUser, ValueObject $object, array $targets=null) | eZ\Publish\Core\Limitation\ContentTypeLimitationType |
eZ::Publish::SPI::Limitation::TargetAwareType::evaluate(APILimitationValue $value, APIUserReference $currentUser, APIValueObject $object, array $targets=null) | eZ\Publish\SPI\Limitation\TargetAwareType |
evaluateMatchingAnyLimitation(array $contentTypeIdsList, array $limitationValues) | eZ\Publish\Core\Limitation\ContentTypeLimitationType | private
evaluateVersionTarget(Target\Version $version, APILimitationValue $value) | eZ\Publish\Core\Limitation\ContentTypeLimitationType | private
getCriterion(APILimitationValue $value, APIUserReference $currentUser) | eZ\Publish\Core\Limitation\ContentTypeLimitationType |
validate(APILimitationValue $limitationValue) | eZ\Publish\Core\Limitation\ContentTypeLimitationType |
VALUE_SCHEMA_LOCATION_ID | eZ\Publish\SPI\Limitation\Type |
VALUE_SCHEMA_LOCATION_PATH | eZ\Publish\SPI\Limitation\Type |
valueSchema() | eZ\Publish\Core\Limitation\ContentTypeLimitationType |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.